## ros-melodic-points-preprocessor 1.14.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(points_preprocessor)

find_package(REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  autoware_config_msgs
  cv_bridge
  pcl_conversions
  pcl_ros
  roscpp
  roslint
  sensor_msgs
  std_msgs
  tf
  tf2
  tf2_eigen
  tf2_ros
  velodyne_pointcloud
)

catkin_package()

set(ROSLINT_CPP_OPTS "--filter=-build/c++14")
roslint_cpp(
  nodes/ray_ground_filter/ray_ground_filter.cpp
  nodes/ray_ground_filter/ray_ground_filter_main.cpp
  include/points_preprocessor/ray_ground_filter/ray_ground_filter.h
)

find_package(Qt5Core REQUIRED)
find_package(OpenCV REQUIRED)
find_package(PCL 1.7 REQUIRED)
find_package(OpenMP)

# Resolve system dependency on yaml-cpp, which apparently does not
# provide a CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP REQUIRED yaml-cpp)
find_path(YAML_CPP_INCLUDE_DIR NAMES yaml_cpp.h PATHS ${YAML_CPP_INCLUDE_DIRS})
find_library(YAML_CPP_LIBRARY NAMES YAML_CPP PATHS ${YAML_CPP_LIBRARY_DIRS})
link_directories(${YAML_CPP_LIBRARY_DIRS})

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

SET(CMAKE_CXX_FLAGS "-O2 -g -Wall ${CMAKE_CXX_FLAGS}")

link_directories(${PCL_LIBRARY_DIRS})

# Space Filter
add_executable(space_filter
  nodes/space_filter/space_filter.cpp
)
target_link_libraries(space_filter
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

add_dependencies(space_filter ${catkin_EXPORTED_TARGETS})

# Ring Ground Filter
add_definitions(${PCL_DEFINITIONS})

add_executable(ring_ground_filter
  nodes/ring_ground_filter/ring_ground_filter.cpp
)

target_include_directories(ring_ground_filter PRIVATE
  ${PCL_INCLUDE_DIRS}
)

target_link_libraries(ring_ground_filter
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
  ${Qt5Core_LIBRARIES}
)

add_dependencies(ring_ground_filter ${catkin_EXPORTED_TARGETS})

# Ray Ground Filter
add_library(ray_ground_filter_lib SHARED
  nodes/ray_ground_filter/ray_ground_filter.cpp
)

if(OPENMP_FOUND)
  set_target_properties(ray_ground_filter_lib PROPERTIES
    COMPILE_FLAGS ${OpenMP_CXX_FLAGS}
    LINK_FLAGS ${OpenMP_CXX_FLAGS}
  )
endif()

target_include_directories(ray_ground_filter_lib PRIVATE
  ${OpenCV_INCLUDE_DIRS}
)

target_link_libraries(ray_ground_filter_lib
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
  ${Qt5Core_LIBRARIES}
)

add_dependencies(ray_ground_filter_lib ${catkin_EXPORTED_TARGETS})

add_executable(ray_ground_filter
  nodes/ray_ground_filter/ray_ground_filter_main.cpp
)
target_link_libraries(ray_ground_filter ray_ground_filter_lib)
add_dependencies(ray_ground_filter ${catkin_EXPORTED_TARGETS})

# Points Concat filter
add_executable(points_concat_filter
  nodes/points_concat_filter/points_concat_filter.cpp
)

target_include_directories(points_concat_filter PRIVATE
  ${PCL_INCLUDE_DIRS}
)

target_link_libraries(points_concat_filter
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

add_dependencies(points_concat_filter ${catkin_EXPORTED_TARGETS})

#Cloud Transformer
add_executable(cloud_transformer
  nodes/cloud_transformer/cloud_transformer_node.cpp
)

target_include_directories(cloud_transformer PRIVATE
  ${PCL_INCLUDE_DIRS}
)

target_link_libraries(cloud_transformer
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
  ${Qt5Core_LIBRARIES}
)
add_dependencies(cloud_transformer ${catkin_EXPORTED_TARGETS})

#Compare Map Filter
add_executable(compare_map_filter
  nodes/compare_map_filter/compare_map_filter.cpp
)

target_include_directories(compare_map_filter PRIVATE
  ${PCL_INCLUDE_DIRS}
)

target_link_libraries(compare_map_filter
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
  ${Qt5Core_LIBRARIES}
)
add_dependencies(compare_map_filter ${catkin_EXPORTED_TARGETS})

### Unit Tests ###
if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    find_package(roslaunch REQUIRED)

    add_rostest_gtest(test_points_preprocessor
      test/test_points_preprocessor.test
      test/src/test_points_preprocessor.cpp)
    target_include_directories(test_points_preprocessor PRIVATE
      nodes/ray_ground_filter/include
      test/include)
    target_link_libraries(test_points_preprocessor
      ray_ground_filter_lib
      ${catkin_LIBRARIES})
endif ()

install(
  TARGETS
    cloud_transformer
    points_concat_filter
    ray_ground_filter_lib
    ray_ground_filter
    ring_ground_filter
    space_filter
    compare_map_filter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE
)

if (CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

## ros-melodic-points-preprocessor 1.14.9

=== debian/changelog ===
ros-melodic-points-preprocessor (1.14.9-1stretch) stretch; urgency=high

  * Remove Autoware Health Checker as dependency
  * Contributors: Tim Clephas

 -- amc-nu <abrahammonrroy@yahoo.com>  Sun, 23 Aug 2020 22:00:00 -0000

ros-melodic-points-preprocessor (1.11.0-1stretch) stretch; urgency=high

  * Revert "Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)" (#2037 <https://github.com/CPFL/Autoware/issues/2037>)
    This reverts commit e4187a7138eb90ad6f119eb35f824b16465aefda.
    Reverts #2012 <https://github.com/CPFL/Autoware/issues/2012>
    Merged without adequate description of the bug or fixes made
  * Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)
  * [fix] Install commands for all the packages (#1861 <https://github.com/CPFL/Autoware/issues/1861>)
    * Initial fixes to detection, sensing, semantics and utils
    * fixing wrong filename on install command
    * Fixes to install commands
    * Hokuyo fix name
    * Fix obj db
    * Obj db include fixes
    * End of final cleaning sweep
    * Incorrect command order in runtime manager
    * Param tempfile not required by runtime_manager
    * * Fixes to runtime manager install commands
    * Remove devel directory from catkin, if any
    * Updated launch files for robosense
    * Updated robosense
    * Fix/add missing install (#1977 <https://github.com/CPFL/Autoware/issues/1977>)
    * Added launch install to lidar_kf_contour_track
    * Added install to op_global_planner
    * Added install to way_planner
    * Added install to op_local_planner
    * Added install to op_simulation_package
    * Added install to op_utilities
    * Added install to sync
    * * Improved installation script for pointgrey packages
    * Fixed nodelet error for gmsl cameras
    * USe install space in catkin as well
    * add install to catkin
    * Fix install directives (#1990 <https://github.com/CPFL/Autoware/issues/1990>)
    * Fixed installation path
    * Fixed params installation path
    * Fixed cfg installation path
    * Delete cache on colcon_release
  * Feature/autoware health checker (#1943 <https://github.com/CPFL/Autoware/issues/1943>)
  * Fix license notice in corresponding package.xml
  * Contributors: Abraham Monrroy Cano, Geoffrey Biggs, Masaya Kataoka, amc-nu

 -- amc-nu <abrahammonrroy@yahoo.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-melodic-points-preprocessor (1.10.0-1stretch) stretch; urgency=high

  * Switch to Apache 2 license (develop branch) (#1741 <https://github.com/CPFL/Autoware/issues/1741>)
    * Switch to Apache 2
    * Replace BSD-3 license header with Apache 2 and reassign copyright to the
    Autoware Foundation.
    * Update license on Python files
    * Update copyright years
    * Add #ifndef/define _POINTS_IMAGE_H_
    * Updated license comment
  * Use colcon as the build tool (#1704 <https://github.com/CPFL/Autoware/issues/1704>)
    * Switch to colcon as the build tool instead of catkin
    * Added cmake-target
    * Added note about the second colcon call
    * Added warning about catkin* scripts being deprecated
    * Fix COLCON_OPTS
    * Added install targets
    * Update Docker image tags
    * Message packages fixes
    * Fix missing dependency
  * Contributors: Esteve Fernandez

 -- amc-nu <abrahammonrroy@yahoo.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-melodic-points-preprocessor (1.9.1-1stretch) stretch; urgency=high



 -- amc-nu <abrahammonrroy@yahoo.com>  Mon, 05 Nov 2018 23:00:00 -0000

ros-melodic-points-preprocessor (1.9.0-1stretch) stretch; urgency=high

  * Moved configuration messages to autoware_config_msgs
  * renamed topics to match, sensing workflow (#1600 <https://github.com/CPFL/Autoware/issues/1600>)
    [fix] renamed topics to match, sensing workflow on CompareMapFilter
  * Feature/compare map filter (#1559 <https://github.com/CPFL/Autoware/issues/1559>)
    * add compare map filter
    * add README
    * add copyright
    * change default parameter
    * fix typo
    * clang-format
    * Revert "clang-format"
    This reverts commit 95869328f35f6ed1e918c26901ad36ab9737e466.
    * retry clang-format
  * Contributors: Abraham Monrroy, Esteve Fernandez, YamatoAndo

 -- amc-nu <abrahammonrroy@yahoo.com>  Tue, 30 Oct 2018 23:00:00 -0000

ros-melodic-points-preprocessor (1.8.0-1stretch) stretch; urgency=high

  * Fix Indigo build issues
  * [Fix] Moved C++11 flag to autoware_build_flags (#1395 <https://github.com/CPFL/Autoware/pull/1395>)
  * [Feature] Makes sure that all binaries have their dependencies linked (#1385 <https://github.com/CPFL/Autoware/pull/1385>)
  * Update OpenPlanner libraries (op_planner, op_utitity, op_ros_helpers)
    Update ring ground filter with latest implementation
    Update lidar_kf_contour_track with latest implementation
    Add op_utilities nodes (op_bag_player, op_data_logger, op_pose2tf)
    Modify autoware_msgs for OpenPlanner use (CloudCluster, DetectedObject, lane, waypoint)
    Update UI computing.yaml for the new nodes and modifies parameters
    Update UI sensing.yaml for updated ring_ground_filter params
  * Replaced yaml-cpp library flag
  * Fix finding yaml-cpp by pkg_check_modules
  * Add -lyaml-cpp
  * Remove yaml-cpp find package
  * [Fix] Extend and Update interface.yaml (#1291 <https://github.com/CPFL/Autoware/pull/1291>)
  * Fix cmake and remove msg from runtime manager
  * Fix assertion condition
  * fix review comments
    - fix CMakeFiles.txt and package.xml related yaml-cpp
    - use input_topics_size_
    - add brackets
  * apply clang-format
  * Modify runtime_manager
  * apply clang-format
  * Modify points_concat_filter to support up to 8 lidars
  * Contributors: Akihito Ohsato, Esteve Fernandez, Kenji Funaoka, Yusuke FUJII, hatem-darweesh

 -- amc-nu <abrahammonrroy@yahoo.com>  Thu, 30 Aug 2018 22:00:00 -0000

ros-melodic-points-preprocessor (1.7.0-1stretch) stretch; urgency=high

  * update Version from 1.6.3 to 1.7.0 in package.xml and CHANGELOG.rst


=== debian/control ===
Source: ros-melodic-points-preprocessor
Section: misc
Priority: optional
Maintainer: amc-nu <abrahammonrroy@yahoo.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-autoware-config-msgs, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-message-filters, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-ros, ros-melodic-velodyne-pointcloud
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-points-preprocessor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtest-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-autoware-config-msgs, ros-melodic-cv-bridge, ros-melodic-message-filters, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-ros, ros-melodic-velodyne-pointcloud
Description: The points_preprocessor package

## ros-melodic-points-preprocessor 1.14.15

=== debian/changelog ===
ros-melodic-points-preprocessor (1.14.15-1bionic) bionic; urgency=high

  * Don't declare type again
  * Contributors: Tim Clephas

 -- amc-nu <abrahammonrroy@yahoo.com>  Wed, 21 Apr 2021 22:00:00 -0000

ros-melodic-points-preprocessor (1.14.12-1bionic) bionic; urgency=high

  * Fix zero-division error on empty clouds
  * Contributors: Tim Clephas

 -- amc-nu <abrahammonrroy@yahoo.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-melodic-points-preprocessor (1.14.9-1bionic) bionic; urgency=high

  * Remove Autoware Health Checker as dependency
  * Contributors: Tim Clephas

 -- amc-nu <abrahammonrroy@yahoo.com>  Sun, 23 Aug 2020 22:00:00 -0000

ros-melodic-points-preprocessor (1.11.0-1bionic) bionic; urgency=high

  * Revert "Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)" (#2037 <https://github.com/CPFL/Autoware/issues/2037>)
    This reverts commit e4187a7138eb90ad6f119eb35f824b16465aefda.
    Reverts #2012 <https://github.com/CPFL/Autoware/issues/2012>
    Merged without adequate description of the bug or fixes made
  * Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)
  * [fix] Install commands for all the packages (#1861 <https://github.com/CPFL/Autoware/issues/1861>)
    * Initial fixes to detection, sensing, semantics and utils
    * fixing wrong filename on install command
    * Fixes to install commands
    * Hokuyo fix name
    * Fix obj db
    * Obj db include fixes
    * End of final cleaning sweep
    * Incorrect command order in runtime manager
    * Param tempfile not required by runtime_manager
    * * Fixes to runtime manager install commands
    * Remove devel directory from catkin, if any
    * Updated launch files for robosense
    * Updated robosense
    * Fix/add missing install (#1977 <https://github.com/CPFL/Autoware/issues/1977>)
    * Added launch install to lidar_kf_contour_track
    * Added install to op_global_planner
    * Added install to way_planner
    * Added install to op_local_planner
    * Added install to op_simulation_package
    * Added install to op_utilities
    * Added install to sync
    * * Improved installation script for pointgrey packages
    * Fixed nodelet error for gmsl cameras
    * USe install space in catkin as well
    * add install to catkin
    * Fix install directives (#1990 <https://github.com/CPFL/Autoware/issues/1990>)
    * Fixed installation path
    * Fixed params installation path
    * Fixed cfg installation path
    * Delete cache on colcon_release
  * Feature/autoware health checker (#1943 <https://github.com/CPFL/Autoware/issues/1943>)
  * Fix license notice in corresponding package.xml
  * Contributors: Abraham Monrroy Cano, Geoffrey Biggs, Masaya Kataoka, amc-nu

 -- amc-nu <abrahammonrroy@yahoo.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-melodic-points-preprocessor (1.10.0-1bionic) bionic; urgency=high

  * Switch to Apache 2 license (develop branch) (#1741 <https://github.com/CPFL/Autoware/issues/1741>)
    * Switch to Apache 2
    * Replace BSD-3 license header with Apache 2 and reassign copyright to the
    Autoware Foundation.
    * Update license on Python files
    * Update copyright years
    * Add #ifndef/define _POINTS_IMAGE_H_
    * Updated license comment
  * Use colcon as the build tool (#1704 <https://github.com/CPFL/Autoware/issues/1704>)
    * Switch to colcon as the build tool instead of catkin
    * Added cmake-target
    * Added note about the second colcon call
    * Added warning about catkin* scripts being deprecated
    * Fix COLCON_OPTS
    * Added install targets
    * Update Docker image tags
    * Message packages fixes
    * Fix missing dependency
  * Contributors: Esteve Fernandez

 -- amc-nu <abrahammonrroy@yahoo.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-melodic-points-preprocessor (1.9.1-1bionic) bionic; urgency=high



 -- amc-nu <abrahammonrroy@yahoo.com>  Mon, 05 Nov 2018 23:00:00 -0000

ros-melodic-points-preprocessor (1.9.0-1bionic) bionic; urgency=high

  * Moved configuration messages to autoware_config_msgs
  * renamed topics to match, sensing workflow (#1600 <https://github.com/CPFL/Autoware/issues/1600>)
    [fix] renamed topics to match, sensing workflow on CompareMapFilter
  * Feature/compare map filter (#1559 <https://github.com/CPFL/Autoware/issues/1559>)
    * add compare map filter
    * add README
    * add copyright
    * change default parameter
    * fix typo
    * clang-format
    * Revert "clang-format"
    This reverts commit 95869328f35f6ed1e918c26901ad36ab9737e466.
    * retry clang-format
  * Contributors: Abraham Monrroy, Esteve Fernandez, YamatoAndo

 -- amc-nu <abrahammonrroy@yahoo.com>  Tue, 30 Oct 2018 23:00:00 -0000

ros-melodic-points-preprocessor (1.8.0-1bionic) bionic; urgency=high

  * Fix Indigo build issues
  * [Fix] Moved C++11 flag to autoware_build_flags (#1395 <https://github.com/CPFL/Autoware/pull/1395>)
  * [Feature] Makes sure that all binaries have their dependencies linked (#1385 <https://github.com/CPFL/Autoware/pull/1385>)
  * Update OpenPlanner libraries (op_planner, op_utitity, op_ros_helpers)
    Update ring ground filter with latest implementation
    Update lidar_kf_contour_track with latest implementation
    Add op_utilities nodes (op_bag_player, op_data_logger, op_pose2tf)
    Modify autoware_msgs for OpenPlanner use (CloudCluster, DetectedObject, lane, waypoint)
    Update UI computing.yaml for the new nodes and modifies parameters
    Update UI sensing.yaml for updated ring_ground_filter params
  * Replaced yaml-cpp library flag
  * Fix finding yaml-cpp by pkg_check_modules
  * Add -lyaml-cpp
  * Remove yaml-cpp find package
  * [Fix] Extend and Update interface.yaml (#1291 <https://github.com/CPFL/Autoware/pull/1291>)
  * Fix cmake and remove msg from runtime manager
  * Fix assertion condition
  * fix review comments
    - fix CMakeFiles.txt and package.xml related yaml-cpp
    - use input_topics_size_
    - add brackets
  * apply clang-format
  * Modify runtime_manager


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-points-preprocessor//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
